#pragma once
//*****************************************************************************************************
//  1. t@C
//		ManualBunkatsuDlg.h
//----------------------------------------------------------------------------------------------------
//  2. @\
//		CManualBunkatsuDlg NX̃C^[tFCX
//----------------------------------------------------------------------------------------------------
//  3. l
//----------------------------------------------------------------------------------------------------
//  4. 
//		2006.09.01 S.Aizawa(xxx) VK쐬
//*****************************************************************************************************

#include "DialogEx.h"
#include "ManualEditDocument.h"
#include "LixxxtrlEx1.h"

// H/vfƌQ̕폜_CAO
class CManualBunkatsuDlg : public CDialogEx
{
	// Ǝ҃Xgf[^
	struct SSagyoshaList {
		int nSublineId;
		int nSagyoshaId;
	};
	typedef CArrayEx <SSagyoshaList, SSagyoshaList&> CSagyoshaListArray;

	// Xg{bNXݒf[^
	struct SListData {
// Modify ... ( ADD )
		int nSagyoNo;		// No
// By Y.Itabashi (xxxxx) 2007.02.19
		CString sName;		// ږ
		double fTime;		// Ǝ
		int nId;			// ID
		SGraphBlock *pGraphBlock;
	};
	typedef CArrayEx <SListData, SListData&> CListDataArray;

// RXgNV
public:
	CManualBunkatsuDlg(CWnd* pParent = NULL);   // W̃RXgN^

// _CAO f[^
	//{{AFX_DATA(CManualBunkatsuDlg)
	enum { IDD = IDD_MANUAL_BUNKATSU };
	CButton	m_cButtonPreview;
	CButton	m_cButtonSettei;
	CButton	m_cButtonRightMove;
	CButton	m_cButtonLeftMove;
	CStatic	m_cStaticTotalTime2;
	CStatic	m_cStaticTotalTime1;
	CComboBox	m_cComboYosoSagyogun;
	CComboBox	m_cComboKotei;
	CComboBox	m_cComboSagyosha;
	CLixxxtrlEx1	m_cList2;
	CLixxxtrlEx1	m_cList1;
	//}}AFX_DATA

	int m_nKishuId;					// @ID
	int m_nSagyoshaId;				// ƎID
	CString m_sKoteiName;			// H
	CString m_sYosoSagyogunName;	// vfƌQ
	CManualEditDocument *m_pDoc;	// hLgNXւ̃|C^

// I[o[Ch
	// ClassWizard ͉z֐̃I[o[Ch𐶐܂B
	//{{AFX_VIRTUAL(CManualBunkatsuDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV T|[g
	//}}AFX_VIRTUAL

// Cve[V
protected:

	// ꂽbZ[W }bv֐
	//{{AFX_MSG(CManualBunkatsuDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnButtonLeftMove();
	afx_msg void OnButtonRightMove();
	afx_msg void OnButtonSettei();
	afx_msg void OnSelchangeComboSagyosha();
	afx_msg void OnSelchangeComboKotei();
	afx_msg void OnSelchangeComboYosoSagyogun();
	afx_msg void OnButtonPreview();
	virtual void OnCancel();
	afx_msg void OnClickList1(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnItemchangedList1(NMHDR* pNMHDR, LRESULT* pResult);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

	int m_nMode;					// \[h
	BOOL m_bPreview;				// vr[stO
	SYosoSagyogun *m_pYosoSagyogun;	// vfƌQ|C^
	CSagyoshaListArray m_aSagyoshaList;	// Ǝ҃Xgf[^
	CListDataArray m_aListData;		// Xg{bNXf[^z

	void ExecBunkatsuSakujo();
	void KoteiBunkatsu();
	void YosoSagyogunBunkatsu();
	void SetSagyoshaList();
	void SetComboList();
	void SetKoteiList();
	void SetYosoSagyogunList();
	void SetYosoSagyoList();
	void SetComboBox(CComboBox &cComboBox);
	void SetListBox();
	void DispTotalTimeAll();
	void DispTotalTime(double fTime, CStatic &cStatic);
	double CalcTotalTime(CLixxxtrlEx1 &cList);
	void EnableButtons();
	void MoveListBox(CLixxxtrlEx1 &cListFrom, CLixxxtrlEx1 &cListTo);
	void SetLixxxolumn(CLixxxtrlEx1 &cList);
	BOOL ListDataCheck();
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ ͑Os̒Oɒǉ̐錾}܂B
